---

- name: Activation de pSQL
  systemd:
    name: postgresql
    state: started
    enabled: yes

- name: Creation de l'utilisateur pour pSQL
  community.general.postgresql_user:
    name: hedgedocs-user
    password: "{{ hedgedoc_sql_password }}"
    priv: "ALL" # NB: Est-ce que ce niveau de privilège est nécessire ?
    comment: "Utilisateur pSQL pour le service hedgedocs"
    db: hedgedoc
    state: present
    role_attr_flags: CREATEDB,NOSUPERUSER
